
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Spring mvc中自定义拦截器 / 憋错料</title>

    <meta name="description" content="Spring mvc中自定义拦截器 一.要实现的一个功能: 1.打开特定的一些页面时必需强制用户进行登录. 2.登录后再返回到之前的页面. 二.先写一个service,实现从cookie中判断用户是否登录. 1.TT_TOKEN为登录成功时,响应给浏览器的Cookie的键. @Service public class UserServiceImpl implements UserService{ @Value(&quot;${SSO_BASE_URL}&quot;) private String SSO_BASE_URL; @Va ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Spring mvc中自定义拦截器</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>一、要实现的一个功能：</p>
<p>　　1、打开特定的一些页面时必需强制用户进行登录。</p>
<p>　　2、登录后再返回到之前的页面。</p>
<p>二、先写一个service，实现从cookie中判断用户是否登录。</p>
<p>　　1、TT_TOKEN为登录成功时，响应给浏览器的Cookie的键。</p>
<pre>@Service
public class UserServiceImpl implements UserService{

    @Value("${SSO_BASE_URL}")
    private String SSO_BASE_URL;
    @Value("${SSO_USER_INFO}")
    private String SSO_USER_INFO;

    @Override
    public TbUser getCookieByToken(HttpServletRequest request, HttpServletResponse response) {
        try{
            String token = CookieUtils.getCookieValue(request, "TT_TOKEN");
            if (StringUtils.isBlank(token)) {
                return null;
            }
            //cookie中如果取到值,调用sso服务从cookie取到用户信息
            String json = HttpClientUtil.doGet(SSO_BASE_URL + SSO_USER_INFO + token);
            TaotaoResult result = TaotaoResult.format(json);
            if (result.getStatus() != 200) {
                return null;
            }
            result = TaotaoResult.formatToPojo(json, TbUser.class);
            TbUser user = (TbUser) result.getData();
            return user;
        }catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }
}</pre>
<p>二、拦截器代码如下</p>
<p>　　1、定义一个拦截器LoginInterceptor实现spring mvc的接口HandlerInterceptor。</p>
<p>　　2、重写里面三个方法。</p>
<pre>public class LoginInterceptor implements HandlerInterceptor{

    @Autowired
    private UserService userService;
    @Value("${SSO_LOGIN_URL}")
    private String SSO_LOGIN_URL;

    @Override
    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
        TbUser user = userService.getCookieByToken(request, response);
        if (user == null) {
            response.sendRedirect(SSO_LOGIN_URL + "?redirectUrl=" + request.getRequestURL());
            return false;
        }
        return true;
        //返回false说明拦截, true放行
    }

    @Override
    public void postHandle(HttpServletRequest request, HttpServletResponse response, Object handler, ModelAndView modelAndView) throws Exception {
        //拦截后，返回modelAndView之前
    }

    @Override
    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
        //返回modelAndView之后
    }
}</pre>
<p>三、在spingmvc.xml配置拦截器</p>
<pre>&lt;!-- 配置拦截器--&gt;
    &lt;mvc:interceptors&gt;
        &lt;mvc:interceptor&gt;
            &lt;mvc:mapping path="/item/**"/&gt;
            &lt;bean class="com.taotao.portal.Interceptor.LoginInterceptor" /&gt;
        &lt;/mvc:interceptor&gt;
    &lt;/mvc:interceptors&gt;</pre>
<p>　　1、path为要拦截的路径。</p>
<p>　　2、bean写拦截器的全限定类名。</p>

<p>原文地址：https://www.cnblogs.com/huclouy/p/9484483.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 22:14:32 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/return/" title="return">return</a>, <a href="https://www.biecuoliao.com/tag/void/" title="void">void</a>, <a href="https://www.biecuoliao.com/tag/row/" title="row">row</a>, <a href="https://www.biecuoliao.com/tag/%e6%9c%8d%e5%8a%a1/" title="服务">服务</a>, <a href="https://www.biecuoliao.com/tag/turn/" title="turn">turn</a>, <a href="https://www.biecuoliao.com/tag/object/" title="object">object</a>, <a href="https://www.biecuoliao.com/tag/direct/" title="direct">direct</a>, <a href="https://www.biecuoliao.com/tag/cookie/" title="cookie">cookie</a>, <a href="https://www.biecuoliao.com/tag/tpc/" title="tpc">tpc</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Spring mvc中自定义拦截器的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0j7kLe3.html" rel="bookmark">spring mvc中的拦截器小结 &period;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在spring mvc中,拦截器其实比较简单了,下面简单小结并demo下. preHandle:预处理回调方法,实现处理器的预处理(如登录检查),第三个参数为响应的处理器(如我们上一章的Controller实现):      返回值:true表示继续流程(如调用下一个拦截器或处理器):              false表示流程中断(如登录检查失败),不会继续调用其他的拦截器或处理器,此时我们需要通过response来产生响应: postHandle:后处理回调方法,实现处理器的后处理(但在渲			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/49QRNJ4.html" rel="bookmark">Spring MVC中的拦截器&sol;过滤器HandlerInterceptorAdapter的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般情况下,对来自浏览器的请求的拦截,是利用Filter实现的 而在Spring中,基于Filter这种方式可以实现Bean预处理.后处理. 比如注入FilterRegistrationBean,然后在这个Bean上传递自己继承Filter实现的自定义Filter进入即可. 而Spring MVC也有拦截器,不仅可实现Filter的所有功能,还可以更精确的控制拦截精度. Spring MVC提供的org.springframework.web.servlet.handler.HandlerInt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MV9gRd4.html" rel="bookmark">Spring MVC中的拦截器Interceptor</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				谈谈spring中的拦截器 在web开发中,拦截器是经常用到的功能.它可以帮我们验证是否登陆.预先设置数据以及统计方法的执行效率等等.今天就来详细的谈一下spring中的拦截器.spring中拦截器主要分两种,一个是HandlerInterceptor,一个是MethodInterceptor. 一,HandlerInterceptor拦截器 HandlerInterceptor是springMVC项目中的拦截器,它拦截的目标是请求的地址,比MethodInterceptor先执行.实现一个Ha			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/g41GEJ0.html" rel="bookmark">spring mvc 方法注解拦截器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				应用场景,在方法级别对本次调用进行鉴权,如api接口中有个用户唯一标示accessToken,对于有accessToken的每次请求可以在方法加一个拦截器,获得本次请求的用户,存放到request或者session域. python中,之前在python flask中可以使用装饰器来对方法进行预处理,进行权限处理 先看一个实例,使用@access_required拦截: @api.route('/post_apply') @access_required def apply():     &quot;&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MW9DLm3.html" rel="bookmark">spring mvc 能过拦截器记录请求数据和响应数据</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				spring mvc 能过拦截器记录请求数据记录有很多种方式,主要有以下三种: 1:过滤器 2:HandlerInterceptor拦截器 3:Aspect接口控制器 但是就我个人所知要记录返回的数据,只能通过Aspect处理,以下是实现此需要的代码 package com.qmtt.config; import java.util.Arrays; import org.aspectj.lang.ProceedingJoinPoint; import org.aspectj.lang.annot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3561jR4.html" rel="bookmark">spring boot中注册拦截器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				拦截器是动态拦截Action调用的对象.它提供了一种机制可以使开发者可以定义在一个action执行的前后执行的代码,也可以在一个action执行前阻止其执行,同时也提供了一种可以提取action中可重用部分的方式.在AOP(Aspect-Oriented Programming)中拦截器用于在某个方法或字段被访问之前,进行拦截然后在之前或之后加入某些操作. 如何在spring boot中添加拦截器? 1.首先自己实现一个拦截器 import org.springframework.web.ser			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3ORBGr0.html" rel="bookmark">spring mvc &amp;lt&semi;mvc&colon;annotation-driven&sol;&amp;gt&semi;  自定义拦截器不走</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;mvc:annotation-driven/&gt; 这个便签会注册2个自定义拦截器,所以导致请求过来就会自己去走注册的这2个拦截器和定义的一堆bean 但是这个便签是必须得定义的 直接贴代码吧 &lt;beans xmlns=&quot;http://www.springframework.org/schema/beans&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xmlns:context=&qu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MVnNRzM.html" rel="bookmark">【Spring Boot】Spring Boot之自定义拦截器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.拦截器的作用 将通用的代码抽取出来,达到复用的效果.比如可以用来做日志记录.登录判断.权限校验等等 二.如何实现自定义拦截器 1)创建自定义拦截器类并实现HandlerInterceptor类 /** * @author zhangboqing * @date 2019-07-28 */ public class MyInterceptor implements HandlerInterceptor { /** * 执行Controller方法之前,调用 */ @Override publi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wgK9j3.html" rel="bookmark">springmvc中自定义拦截器以及拦截器的执行过程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.拦截器在一次请求中的执行流程 2.拦截器入门案例 2.1springMVC.xml的编写 &lt;?xml version=&quot;1.0&quot; encoding=&quot;UTF-8&quot;?&gt; &lt;beans xmlns=&quot;http://www.springframework.org/schema/beans&quot; xmlns:xsi=&quot;http://www.w3.org/2001/XMLSchema-instance&quot; xmlns:m			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Z0KNWyM.html" rel="bookmark" class="title">初步使用RecyclerView实现瀑布流</a>
					<div>
						先看效果 关于RecyclerView,真的是很强大. 个人觉得主要方便的地方是 1.直接可以设置条目布局,通过setLayoutManager LinearLayoutManager:线性布局,横向 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1Y5jM.html" rel="bookmark" class="title">物化视图的刷新（转载）</a>
					<div>
						转载源自于:http://czmmiao.iteye.com/blog/1827254 物化视图 物化视图是包括一个查询结果的数据库对像,它是远程数据的的本地副本,或者用来生成基于数据表求和的汇总表. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/47pdRbM.html" rel="bookmark" class="title">CentOS&lowbar;6&period;5&lowbar;x64的安装</a>
					<div>
						前言 之前一篇博文讲了一些计算机和操作系统的基础知识以及自己的一些理解.在开始Linux的学习之前,我们必须要有一个实验环境.这里我选择了安装CentOS-6.5-x86_64的Minimal版本,大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wrJbj0.html" rel="bookmark" class="title">图解EJB工作流程</a>
					<div>
						学习EJB需要对JNDI和RMI方面知识有一定的了解. JNDI为EJB提供命名和目录服务,实现不同目录位置的Bean的唯一标识. RMI为EJB提供远程访问能力,实现Bean的远程调用功能 在介绍B ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NAzDw3.html" rel="bookmark" class="title">JS同源策略和跨域访问</a>
					<div>
						同源策略(Same origin policy)是一种约定,它是浏览器最核心也最基本的安全功能,如果缺少了同源策略,则浏览器的正常功能可能都会受到影响.可以说Web是构建在同源策略基础之上的,浏览器只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eq8G50.html" rel="bookmark" class="title">怎样用U盘装系统的操作</a>
					<div>
						怎样用U盘装系统的操作 1.http://jingyan.baidu.com/article/642c9d34b26392644b46f776.html 2.http://jingyan.baidu. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/388dqy3.html" rel="bookmark" class="title">&lbrack;转&rsqb; c&num; Chart设置样式</a>
					<div>
						louiskoo 原文 c# Chart设置样式 一.chart属性熟悉 Chart       ChartBorder                       图表区域的边框设置       C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/415GoY4.html" rel="bookmark" class="title">Centos7中lvm缩容后导致无法挂载</a>
					<div>
						先做一下记录 原因为测试esxi中虚拟centos7中lvm扩容及缩容. 测试内容为在esxi中新加两块硬盘,都扩容到/var的分区,此分区的lv卷标为/dev/centos/var 缩容成功,但之后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RGxkv3.html" rel="bookmark" class="title">TIPTOP如何修改默认菜单</a>
					<div>
						这段时间比较闲,写点东西给曾经和我一样的新手吧. 如果你的TIPTOP系统菜单比较凌乱,有么有兴趣按照如下的样式设置全新的菜单呢? 1.首先输入p_zm 回车执行 2.出现如下图片 3.点查询按钮,出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4J8xdA0.html" rel="bookmark" class="title">Redhat7 systemctl命令</a>
					<div>
						Redhat7 systemctl命令: 启动.停止.重启.查看状态: # systemctl start\stop\restart\status httpd 激活服务: # systemctl is ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/ME8Jk14.html" rel="bookmark" class="title">关于json&lowbar;encode&lpar;&rpar;的使用注意</a>
					<div>
						json_encode($json_str,true)在一般情况下可以返回一个数组,但当$json_str的字符编码是GBK或其它时,返回的是一个 空数组,必须用iconv(‘gbk’,‘ut8//I ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPWoNv4.html" rel="bookmark" class="title">VIPM 发布功能总结</a>
					<div>
						前言 上一篇中,我们分析介绍了LabVIEW自带的安装发布功能,今天总结一下VIPM的发布功能. VIPM 提到LabVIEW,不能不提VI Package Manager (VIPM)这个工具包,该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/022nEz0.html" rel="bookmark" class="title">【阅读笔记】计算机网络 第五版 阅读笔记&lpar;持续更新&rpar;</a>
					<div>
						计算机网络 第五版阅读笔记 第一章 概述 1.因特网的组成 边缘部分:由所有连接在因特网上的主机组成 核心部分:由大量网络和连接这些网络的路由器组成 2.计算机之间的通信方式 客户服务器端方式(C/S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38oPaA0.html" rel="bookmark" class="title">linux下配置远程登录</a>
					<div>
						在windows远程登录linux系统,在网上搜索了下,需要两个步骤: 1.开启ssh(secure shell)服务,当然在开启ssh服务之前,需要下载相关得软件,使用下面得命令即可: sudo a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0e9OQp0.html" rel="bookmark" class="title">SQL中的cast&lpar;&rpar;函数</a>
					<div>
						一.语法: CAST (expression AS data_type) 参数说明: expression:任何有效的SQServer表达式. AS:用于分隔两个参数,在AS之前的是要处理的数据,在A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QvwZwM.html" rel="bookmark" class="title">摘录DirectShow数据，视频采集</a>
					<div>
						DirectShow在,数据流(Data Flow)它们是依次流过每Filter的.管理其数据具有其自己的方法,并且并没有向用户提供一个统一的接口,供用户操作数据流.这里以提取视频採集在的每帧为位图数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0k6kedM.html" rel="bookmark" class="title">spring整合CXF</a>
					<div>
						一. 概述 可以在传统的Java EE应用的基础上添加一层Web Service层, 我们的Java EE应用就可以对外暴漏Web Service, 这样就允许任何平台.任何语言编写的程序来调用这个J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rQADq0.html" rel="bookmark" class="title">H5点击事件兼容各种APP浏览器</a>
					<div>
						https://github.com/Clouda-team/touchjs/blob/master/touch.min.js &lt;script src=&quot;js/jquery.min.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDnvg93.html" rel="bookmark" class="title">用Jersey构建RESTful服务简单示例，遭遇的tomcat和jdk的版本问题</a>
					<div>
						当前环境: web工程的jdk: jdk1.6.0_43(x64) tomcat: apache-tomcat-7.0.53(x64) tomcat使用的jdk: jdk1.6.0_43(x64) 运 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pGWBK3.html" rel="bookmark" class="title">Linux命令-服务命令：chkconfig</a>
					<div>
						注意:service的安装目录在/etc/rc.d/init.d下,/etc/init.d 是/etc/rc.d/init.d的链接. chkconfig命令主要用来更新(启动或停止)和查询系统服务的 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
